<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.manager.mapper.ProjectContractAreaMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="imageClassificationConfigResultMap" type="org.springblade.manager.entity.ProjectContractArea">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="project_id" property="projectId"/>
        <result column="contract_id" property="contractId"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
        <result column="city_code" property="city_code"/>
        <result column="county" property="county"/>
    </resultMap>

    <select id="queryAllContractArea" resultMap="imageClassificationConfigResultMap">
        select id, city_code from m_project_contract_area where is_deleted = 0
    </select>

</mapper>
